.login {
  min-height: 100vh;

  .login-header {
    .alert {
      display: none;
    }
  }
}

.alert {
  @include themify($themes) {
    color: themed('error');
  }
  display: flex;
  padding-bottom: map-get($spacing, 'desktop-small');
  text-align: left;

  .kc-feedback-text {
    display: inline-block;
    margin-left: map-get($spacing, 'desktop-small');
    margin-top: -.2rem;
  }
}

.login-page-wrapper {
  height: 100%;
  overflow: hidden;
}

.login-page-header {
  left: map-get($spacing, 'mobile-half');
  position: absolute;
  top: map-get($spacing, 'mobile-small');
  z-index: 5;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    left: map-get($spacing, 'desktop-half');
  }
}

.login-page {
  align-items: center;
  height: 100%;
  justify-content: space-between;
  margin: 0 auto;
  max-width: map-get($widths, 'max-width');
  min-height: 100vh;
  padding: map-get($spacing, 'mobile') map-get($spacing, 'mobile-half');
  position: relative;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    @include grid(2, $items: 2);
    padding: map-get($spacing, 'desktop-double') map-get($spacing, 'desktop-half');
  }

  &:before {
    @include pseudo;
    @include themify($themes) {
      background-color: themed('brand-tertiary');
    }
    border-radius: 50%;
    height: 40vw;
    max-height: 100rem;
    max-width: 100rem;
    right: -5vw;
    top: -25vw;
    transition: map-get($transition, 'all-fast');
    width: 40vw;
    z-index: 0;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      right: 20vw;
      top: -25vw;
    }
  }

  &:after {
    @include pseudo;
    @include themify($themes) {
      background-color: themed('brand-primary');
    }
    border-radius: 50%;
    bottom: -25vw;
    height: 50vw;
    left: -5rem;
    max-height: 100rem;
    max-width: 100rem;
    transition: map-get($transition, 'all-fast');
    width: 50vw;
    z-index: 0;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      bottom: -10vw;
      left: auto;
      right: -10vw;
    }
  }
}

.login-header {
  margin-bottom: map-get($spacing, 'mobile');
  margin-top: map-get($spacing, 'mobile-double');
  max-width: map-get($widths, 'max-width-half');
  position: relative;
  width: 100%;
  z-index: 2;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    margin-bottom: 0;
    margin-top: 0;
  }

  h1 {
    margin-bottom: map-get($spacing, 'desktop-half');
  }

  p {
    font-size: map-get($font-size, 'h5');
    font-weight: 300;
  }
}

.login-form {
  @include themify($themes) {
    background-color: themed('white');
    box-shadow: 0 0 8rem rgba(themed('black'), .4);
  }
  border-radius: map-get($radius, 'desktop');
  justify-self: end;
  max-width: map-get($widths, 'max-width-mini');
  padding: map-get($spacing, 'mobile');
  position: relative;
  text-align: center;
  width: 100%;
  z-index: 2;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    padding: map-get($spacing, 'desktop');
  }

  .button-cta {
    width: 100%;
  }
}

.login-settings {
  text-align: left;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    align-items: center;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
  }

  .form-input-checkbox {
    margin-bottom: map-get($spacing, 'desktop-half');
    position: relative;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      margin-bottom: 0;
      margin-right: map-get($spacing, 'mobile-small');
      padding-right: map-get($spacing, 'mobile-small');
    }

    &:after {
      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        @include pseudo;
        @include themify($themes) {
          background-color: themed('black');
        }
        bottom: 0;
        height: calc(100% - map-get($spacing, 'mobile-small'));
        right: 0;
        top: .5rem;
        width: 1px;
      }
    }
  }
}

.login-button {
  width: 100%;
}

.login-options {
  margin-left: map-get($spacing, 'mobile');
  text-align: left;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    margin-left: 0;
  }

  a {
    @include themify($themes) {
      color: themed('black');
    }
    font-weight: 600;
    text-decoration: underline;

    &:hover,
    &:focus {
      text-decoration: none;
    }
  }
}

.login-signup {
  font-weight: 300;

  a {
    @include themify($themes) {
      color: themed('black');
    }
    font-weight: 600;
    text-decoration: underline;

    &:hover,
    &:focus {
      text-decoration: none;
    }
  }
}
